#ifndef MP3TOWAV
#define MP3TOWAV

/*
 * @(#)MP3ToWAV.h
 *
 * This file is part of webCDwriter - Network CD/DVD Writing.
 *
 * Copyright (C) 2000-2004 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#include "AudioToWAV.h"

/**
 * Convert MP3 files to WAV.
 *
 * @version 20040930
 * @author Jörg P. M. Haeger
 */
class MP3ToWAV: public AudioToWAV {
public:
	MP3ToWAV(InputStream *inStream = NULL): AudioToWAV(inStream) {
		converter = new Process(config.getActiveValue("mpg123Path"));
		converter->addArgs(config.getActiveValue("mpg123Args"));
		converter->start(NULL, 1);
	}
};

#endif
